<!--
  Usage:
```md
---
layout: two-cols
---
# Title
::left::
# Left
This shows on the left
::right::
# Right
This shows on the right
```
-->

<script setup lang="ts">
const props = defineProps({
  class: {
    type: String,
  },
});
</script>

<template>
  <div class="slidev-layout w-full h-full">
    <slot />
    <div class="flex">
      <div class="w-full" :class="props.class">
        <slot name="left" />
      </div>
      <div class="w-full" :class="props.class">
        <slot name="right" />
      </div>
    </div>
  </div>
</template>
